core::net::http::Response Struct Reference

The Response struct models a response to a core::net::http::Request. More...

`#include <response.h>`

Collaboration diagram for core::net::http::Response:

## Public Types

typedef std::string | Body
| The body of the response is a string.

## Public Attributes

Status | status {Status::bad_request}
| The HTTP status as sent by the server.
Header | header {}
| The header fields of the response.
Body | body {}
| The body of the response.

## Detailed Description

The Response struct models a response to a core::net::http::Request.

Definition at line 39 of file response.h.

## Member Typedef Documentation

## Body

typedef std::string core::net::http::Response::Body

The body of the response is a string.

Definition at line 44 of file response.h.

## Member Data Documentation

## body

Body core::net::http::Response::body {}

The body of the response.

Definition at line 51 of file response.h.

## header

Header core::net::http::Response::header {}

The header fields of the response.

Definition at line 49 of file response.h.

## status

Status core::net::http::Response::status {Status::bad_request}

The HTTP status as sent by the server.

Definition at line 47 of file response.h.

The documentation for this struct was generated from the following file:

- response.h